## Class Haus

    java.lang.Object
      Haus

    public class Haus

extends java.lang.Object

Diese Klasse ist zur Erzeugung eines Hauses

Version:
  lauffähige erste Version
Author:
  Dr.-Ing. U. Kiesmüller

Constructor Summary
`Haus(int xlinksoben, int ylinksoben, int breite, int farbe)` Konstruktor für ein Haus mit beliebiger Fassadenfarbe und rotem dreieckigem Dach

Method Summary
`int` | `gibBreiteFassade()` Methode zur Abfrage der Breite der Hausfassade
`int` | `gibFarbnrDach()` Methode zur Abfrage der Farbe des Daches
`int` | `gibFarbnrFassade()` Methode zur Abfrage der Farbe der Hausfassade
`int` | `gibHoeheFassade()` Methode zur Abfrage der Höhe der Hausfassade
`int` | `gibX1Dach()` Methode zur Abfrage der x-Koordinate der Dachspitze
`int` | `gibX2Dach()` Methode zur Abfrage der x-Koordinate der linken Dachbasisecke
`int` | `gibX3Dach()` Methode zur Abfrage der x-Koordinate der rechten Dachbasisecke
`int` | `gibXStartFassade()` Methode zur Abfrage der linken oberen x-Koordinate der Hausfassade
`int` | `gibY1Dach()` Methode zur Abfrage der y-Koordinate der Dachspitze
`int` | `gibY2Dach()` Methode zur Abfrage der y-Koordinate der linken Dachbasisecke
`int` | `gibY3Dach()` Methode zur Abfrage der y-Koordinate der rechten Dachbasisecke
`int` | `gibYStartFassade()` Methode zur Abfrage der linken oberen y-Koordinate der Hausfassade

Methods inherited from class
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Haus

    public Haus(int xlinksoben,
                int ylinksoben,
                int breite,
                int farbe)

  Konstruktor für ein Haus mit beliebiger Fassadenfarbe und rotem dreieckigem Dach

  Parameters:
    `xlinksoben` - X-Koordinate der linken oberen Ecke der Hausfassade
    `ylinksoben` - Y-Koordinate der linken oberen Ecke der Hausfassade
    `breite` - Breite der Hausfassade in Pixeln
    `hoehe` - Höhe der Hausfassade in Pixeln

Method Detail

### gibBreiteFassade

    public int gibBreiteFassade()

  Methode zur Abfrage der Breite der Hausfassade

  Returns:
    mit Hilfe des Getters aus der Klasse Rechteck wird die Breite der Hausfassade zurückgegeben

### gibFarbnrDach

    public int gibFarbnrDach()

  Methode zur Abfrage der Farbe des Daches

  Returns:
    mit Hilfe des Getters aus der Klasse Dreieck wird die Farbnummer der Dachfarbe zurückgegeben

### gibFarbnrFassade

    public int gibFarbnrFassade()

  Methode zur Abfrage der Farbe der Hausfassade

  Returns:
    mit Hilfe des Getters aus der Klasse Rechteck wird die Farbnummer der Hausfassadenfarbe zurückgegeben

### gibHoeheFassade

    public int gibHoeheFassade()

  Methode zur Abfrage der Höhe der Hausfassade

  Returns:
    mit Hilfe des Getters aus der Klasse Rechteck wird die Höhe der Hausfassade zurückgegeben

### gibX1Dach

    public int gibX1Dach()

  Methode zur Abfrage der x-Koordinate der Dachspitze

  Returns:
    mit Hilfe des Getters aus der Klasse Dreieck wird die x-Koordinate der Dachspitze zurückgegeben

### gibX2Dach

    public int gibX2Dach()

  Methode zur Abfrage der x-Koordinate der linken Dachbasisecke

  Returns:
    mit Hilfe des Getters aus der Klasse Dreieck wird die x-Koordinate der linken Dachbasisecke zurückgegeben

### gibX3Dach

    public int gibX3Dach()

  Methode zur Abfrage der x-Koordinate der rechten Dachbasisecke

  Returns:
    mit Hilfe des Getters aus der Klasse Dreieck wird die x-Koordinate der rechten Dachbasisecke zurückgegeben

### gibXStartFassade

    public int gibXStartFassade()

  Methode zur Abfrage der linken oberen x-Koordinate der Hausfassade

  Returns:
    mit Hilfe des Getters aus der Klasse Rechteck wird die linke obere x-Koordinate der Hausfassade zurückgegeben

### gibY1Dach

    public int gibY1Dach()

  Methode zur Abfrage der y-Koordinate der Dachspitze

  Returns:
    mit Hilfe des Getters aus der Klasse Dreieck wird die y-Koordinate der Dachspitze zurückgegeben

### gibY2Dach

    public int gibY2Dach()

  Methode zur Abfrage der y-Koordinate der linken Dachbasisecke

  Returns:
    mit Hilfe des Getters aus der Klasse Dreieck wird die y-Koordinate der linken Dachbasisecke zurückgegeben

### gibY3Dach

    public int gibY3Dach()

  Methode zur Abfrage der y-Koordinate der rechten Dachbasisecke

  Returns:
    mit Hilfe des Getters aus der Klasse Dreieck wird die y-Koordinate der rechten Dachbasisecke zurückgegeben

### gibYStartFassade

    public int gibYStartFassade()

  Methode zur Abfrage der linken oberen y-Koordinate der Hausfassade

  Returns:
    mit Hilfe des Getters aus der Klasse Rechteck wird die linke obere y-Koordinate der Hausfassade zurückgegeben